Subject: Re: bug#40000: 27.0.60; next-single-char-property-change hangs on bad argument

From: Federico Tedin <[email-masked]>
Date: Mon, 13 Apr 2020 16:20:01 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Federico Tedin <[email-masked]>
>> Date: Mon, 13 Apr 2020 15:52:17 +0200
>> Cc: [email-masked]
>> 
>> I'm attaching a patch which solves the issue. Now, all the
>> `next-*-property-change' functions return LIMIT when it has been
>> specified and no properties where found up to the buffer's end.
>
> Doesn't that contradict the documentation?  It says:
>
>   If the property is constant all the way to the end of OBJECT, return the
>   last valid position in OBJECT.
>
> Your change means this will no longer be true when LIMIT > EOB.
>
> Thanks.

Aah OK, I missed that part at the end. But if I evaluate:

  (next-single-char-property-change 0 'test "hello" 10000)

It still returns 10000. Is it possible that "return LIMIT if nothing is
found before LIMIT" is meant to take precedence over "return the last
valid position in OBJECT"?